> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini 视频结果查询 API 文档

> 使用 jobId 查询 Gemini 视频生成任务的状态和视频结果。



## OpenAPI

````yaml openapi/cn/gemini.json get /gemini/video/fetch
openapi: 3.1.0
info:
  title: Gemini API DOCS
  version: 1.0.0
  description: TTAPI Gemini API 接口服务，包含 Nano Banana 图片生成和 Gemini 视频生成能力。
servers:
  - url: https://api.ttapi.org
security: []
paths:
  /gemini/video/fetch:
    get:
      description: 根据 jobId 查询 Gemini 视频生成任务结果。任务超过 15 分钟未成功或失败会被标记为失败，失败信息为任务超时。
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: 生成接口返回的 jobId
          example: 0ccf0606-3f32-4090-85bd-1786e4593be5
      responses:
        '200':
          $ref: '#/components/responses/VideoFetchResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    VideoFetchResponse:
      description: 查询成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                description: 任务状态
                enum:
                  - RUNNING
                  - SUCCESS
                  - FAILED
                example: SUCCESS
              message:
                type: string
                description: 任务消息
                example: success
              jobId:
                type: string
                description: 任务 ID
                example: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                type: object
                description: 视频任务结果
                properties:
                  jobId:
                    type: string
                    description: 任务 ID
                    example: 0ccf0606-3f32-4090-85bd-1786e4593be5
                  model:
                    type: string
                    example: omni-flash
                  prompt:
                    type: string
                    example: A cinematic shot of a futuristic city at sunset
                  aspect_ratio:
                    type: string
                    example: '16:9'
                  reference_images:
                    type: array
                    items:
                      type: string
                    example:
                      - https://cdn.ttapi.io/example/reference-image.png
                  video_url:
                    type: string
                    description: 视频地址。有效期详见[存储与持久化](/grids/cn/faq/storage)
                    example: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                  quota:
                    type: string
                    description: 消耗配额
                    example: '1'
                  hookUrl:
                    type: string
                    example: https://example.com/callback
            required:
              - status
              - message
              - jobId
              - data
            example:
              status: SUCCESS
              message: success
              jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
              data:
                jobId: 0ccf0606-3f32-4090-85bd-1786e4593be5
                model: omni-flash
                prompt: A cinematic shot of a futuristic city at sunset
                aspect_ratio: '16:9'
                reference_images:
                  - https://cdn.ttapi.io/example/reference-image.png
                video_url: https://cdn.ttapi.io/other/2026-06-05/example.mp4
                quota: '1'
                hookUrl: https://example.com/callback
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````